# PSF-LoginServer - master - net.psforever.objects.geometry.d3.Segment
PSF - LoginServer - master - net.psforever.objects.geometry.d3.Segment
Keywords: PSF LoginServer master net.psforever.objects.geometry.d3.Segment

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d3
  Definition Classes
    geometry
- Cuboid
- Cylinder
- Geometry3D
- Line
- Point
- Ray
- Segment
- Sphere
- VolumetricGeometry

c

net.psforever.objects.geometry.d3

# Segment 

###
Companion object Segment

#### final case class Segment(p1: Point, p2: Point) extends Geometry3D with geometry.Segment with Product with Serializable

The instance of a limited span between two geometric coordinate positions, called "endpoints". Unlike mathematical lines, slope is treated the same as the vector leading from one point to the other and is the length of the segment.

p1

  a point

p2

  another point

Source
  Segment.scala

Linear Supertypes
Serializable, Product, Equals, geometry.Segment, Slope, Geometry3D, PrimitiveGeometry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Segment
2. Serializable
3. Product
4. Equals
5. Segment
6. Slope
7. Geometry3D
8. PrimitiveGeometry
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Segment(p1: Point, p2: Point)

   p1

     a point

   p2

     another point

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def asLine: Line

   Transform the segment into a matheatical line of the same slope.

   Transform the segment into a matheatical line of the same slope.

   Definition Classes
     Segment → Segment
6.  def center: Point

   The center point of a segment is a position that is equally in between both endpoints.

   The center point of a segment is a position that is equally in between both endpoints.

   returns

     a point

   Definition Classes
     Segment → Geometry3D → PrimitiveGeometry
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def d: Vector3

   The slope itself.

   The slope itself.

   returns

     a `Vector3` entity

   Definition Classes
     Segment → Slope
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def length: Float

    How long the slope goes on for.

    How long the slope goes on for.

    returns

      The length of the slope

    Definition Classes
      Segment → Slope
14.  def moveCenter(point: geometry.Point): Geometry3D

    Move the centroid of the shape to the given point

    Move the centroid of the shape to the given point

    point

      the new center point

    returns

      geometry centered on the new point; ideally, should be the same type of geometry as the original object

    Definition Classes
      Segment → Geometry3D → PrimitiveGeometry
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  val p1: Point

    The first point, considered the "start".

    The first point, considered the "start".

    Definition Classes
      Segment → Segment
19.  val p2: Point

    The second point, considered the "end".

    The second point, considered the "end".

    Definition Classes
      Segment → Segment
20.  def productElementNames: Iterator[String]
    Definition Classes
      Product
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from geometry.Segment

### Inherited from Slope

### Inherited from Geometry3D

### Inherited from PrimitiveGeometry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped